---------------------
PatchSet 2524 
Date: 2003/06/30 22:51:15
Author: andersen
Branch: HEAD
Tag: uClibc_0_9_20 
Log:
Update for release

Members: 
	Changelog:1.16->1.17 
	Changelog.full:1.12->1.13 
	TODO:1.39->1.40 
	docs/uclibc.org/index.html:1.60->1.61 

---------------------
PatchSet 2525 
Date: 2003/07/01 01:44:11
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Update note re binary compat

Members: 
	docs/uclibc.org/index.html:1.61->1.62 

---------------------
PatchSet 2526 
Date: 2003/07/01 01:49:22
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
More updates

Members: 
	docs/uclibc.org/index.html:1.62->1.63 
	docs/uclibc.org/old-news.html:1.11->1.12 

---------------------
PatchSet 2527 
Date: 2003/07/01 02:44:53
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
oops.  This is 0.9.20, not .30

Members: 
	Changelog:1.17->1.18 

---------------------
PatchSet 2528 
Date: 2003/07/01 18:11:13
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix source code URL

Members: 
	docs/uclibc.org/index.html:1.63->1.64 

---------------------
PatchSet 2529 
Date: 2003/07/02 18:04:08
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Only exec child apps if they are elf type ET_EXEC

Members: 
	ldso/util/ldd.c:1.32->1.33 

---------------------
PatchSet 2530 
Date: 2003/07/03 11:40:18
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
As noted by Felix Radensky back on 16 Mar:

    I've tried several times to compile uClibc with soft-float
    (both gcc-3.2.2 toolchain and wrapper), but applications
    compiled with uClibc always failed with "Invalid instruction".
    So I ended up disabling floating point at all and this works well.
    I also has no problem with glibc from Monta Vista, which is
    compiled with soft-float. My processor is PowerPC 405GP.

    Maybe the problem is in FP() macro definition in
    libc/sysdeps/linux/powerpc/setjmp.S and
    libc/sysdeps/linux/powerpc/__longjmp.S

    #ifdef __UCLIBC_HAS_FLOATS__
    #define FP(x...) x
    #else
    #define FP(x...)
    #endif

    which should be defined as

    if defined __UCLIBC_HAS_FLOATS__ && ! defined __UCLIBC_HAS_SOFT_FLOAT__
    #define FP(x...) x
    #else
    #define FP(x...)
    #endif

Members: 
	libc/sysdeps/linux/powerpc/__longjmp.S:1.1->1.2 
	libc/sysdeps/linux/powerpc/setjmp.S:1.4->1.5 

---------------------
PatchSet 2531 
Date: 2003/07/14 22:16:54
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Yikes!  This was doing another lock instead of unlocking the stream.

Members: 
	libc/stdio/old_vfprintf.c:1.5->1.6 

---------------------
PatchSet 2532 
Date: 2003/07/15 08:00:50
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix a silly cut-n-paste error

Members: 
	docs/uclibc.org/uClibc-apps.html:1.21->1.22 

---------------------
PatchSet 2533 
Date: 2003/07/15 08:44:34
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Peter Kjellerstedt to make it simpler for arches to specify
either -fPIC or -fpic

Members: 
	Rules.mak:1.133->1.134 
	libc/sysdeps/linux/common/Makefile:1.81->1.82 

---------------------
PatchSet 2534 
Date: 2003/07/15 08:46:09
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Peter Kjellerstedt to not modify include/bits/sysnum.h
if it does not need to be updated.

Members: 
	Makefile:1.206->1.207 

---------------------
PatchSet 2535 
Date: 2003/07/17 17:07:48
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Bug fix from  Peter Kjellerstedt <peter.kjellerstedt@axis.com>.  vfscanf was
not setting the FILE bufread member to flag the end of the buffer.
Also, do not set bufgetc member if getc macro support is disabled.

Members: 
	libc/stdio/scanf.c:1.26->1.27 

---------------------
PatchSet 2536 
Date: 2003/07/21 21:28:58
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Doing an search and replace on CFLAGS can prove dangerous.  We don't
do -O0 by default anyways, so leave this disabled for now.

Members: 
	libpthread/linuxthreads/Makefile:1.7->1.8 

---------------------
PatchSet 2537 
Date: 2003/08/01 10:13:43
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Remove the arch specific shm.h and use the fixed up common
one which now uses the kernel structs
 -Erik

Members: 
	libc/sysdeps/linux/alpha/bits/shm.h:1.1->1.2(DEAD) 
	libc/sysdeps/linux/common/bits/shm.h:1.1->1.2 
	libc/sysdeps/linux/cris/bits/shm.h:1.1->1.2(DEAD) 
	libc/sysdeps/linux/mips/bits/shm.h:1.3->1.4(DEAD) 
	libc/sysdeps/linux/powerpc/bits/shm.h:1.2->1.3(DEAD) 
	libc/sysdeps/linux/sparc/bits/shm.h:1.2->1.3(DEAD) 

---------------------
PatchSet 2538 
Date: 2003/08/01 21:08:36
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Add a new *scanf implementation, includeing the *wscanf functions.
  Should be standards compliant and with several optional features,
  including support for hexadecimal float notation, locale awareness,
  glibc-like locale-specific digit grouping with the `'' flag, and
  positional arg support.  I tested it pretty well (finding several
  bugs in glibc's scanf in the process), but it is brand new so be
  aware.

The *wprintf functions now support floating point output.  Also, a
  couple of bugs were squashed.  Finally, %a/%A conversions are
  now implemented.

Implement the glibc xlocale interface for thread-specific locale
  support.  Also add the various *_l(args, locale_t loc_arg) funcs.

  NOTE!!!  setlocale() is NOT threadsafe!  NOTE!!!

The strto{floating point} conversion functions are now locale aware.
  The also now support hexadecimal floating point notation.

Add the wcsto{floating point} conversion functions.

Fix a bug in mktime() related to dst.  Note that unlike glibc's mktime,
  uClibc's version always normalizes the struct tm before attempting
  to determine the correct dst setting if tm_isdst == -1 on entry.

Add a stub version of the libintl functions.  (untested)

Fixed a known memory leak in setlocale() related to the collation data.

Add lots of new config options (which Erik agreed to sort out :-),
  including finally exposing some of the stripped down stdio configs.
  Be careful with those though, as they haven't been tested in a
  long time.


(temporary) GOTCHAs...

The ctype functions are currently incorrect for 8-bit locales.  They
  will be fixed shortly.

The ctype functions are now table-based, resulting in larger staticly
  linked binaries.  I'll be adding an option to use the old approach
  in the stub locale configuration.

Members: 
	TODO:1.40->1.41 
	extra/Configs/Config.in:1.19->1.20 
	extra/locale/Makefile:1.9->1.10 
	extra/locale/gen_collate.c:1.2->1.3 
	extra/locale/gen_ldc.c:1.2->1.3 
	extra/locale/gen_locale.c:1.4->1.5 
	extra/locale/gen_wc8bit.c:1.3->1.4 
	extra/locale/gen_wctype.c:1.2->1.3 
	extra/locale/locale_mmap.h:1.3->1.4 
	include/ctype.h:1.15->1.16 
	include/langinfo.h:1.5->1.6 
	include/libintl.h:1.1->1.2 
	include/locale.h:1.5->1.6 
	include/signal.h:1.6->1.7 
	include/stdio.h:1.27->1.28 
	include/stdlib.h:1.39->1.40 
	include/string.h:1.23->1.24 
	include/time.h:1.6->1.7 
	include/wchar.h:1.2->1.3 
	include/wctype.h:1.2->1.3 
	include/xlocale.h:INITIAL->1.1 
	include/sys/cdefs.h:1.7->1.8 
	libc/inet/rpc/rcmd.c:1.7->1.8 
	libc/misc/Makefile:1.35->1.36 
	libc/misc/assert/__assert.c:1.6->1.7 
	libc/misc/ctype/Makefile:1.12->1.13 
	libc/misc/ctype/ctype.c:1.13->1.14 
	libc/misc/intl/Makefile:INITIAL->1.1 
	libc/misc/intl/intl.c:INITIAL->1.1 
	libc/misc/locale/Makefile:1.9->1.10 
	libc/misc/locale/locale.c:1.12->1.13 
	libc/misc/time/Makefile:1.32->1.33 
	libc/misc/time/time.c:1.12->1.13 
	libc/misc/wchar/Makefile:1.4->1.5 
	libc/misc/wchar/wchar.c:1.10->1.11 
	libc/misc/wchar/wstdio.c:1.3->1.4 
	libc/misc/wctype/Makefile:1.1->1.2 
	libc/misc/wctype/wctype.c:1.3->1.4 
	libc/stdio/Makefile:1.38->1.39 
	libc/stdio/old_vfprintf.c:1.6->1.7 
	libc/stdio/printf.c:1.45->1.46 
	libc/stdio/scanf.c:1.27->1.28 
	libc/stdio/stdio.c:1.69->1.70 
	libc/stdlib/Makefile:1.51->1.52 
	libc/stdlib/stdlib.c:1.10->1.11 
	libc/stdlib/strtod.c:1.6->1.7 
	libc/string/Makefile:1.52->1.53 
	libc/string/wstring.c:1.15->1.16 
	libc/sysdeps/linux/common/bits/uClibc_ctype.h:1.2->1.3 
	libc/sysdeps/linux/common/bits/uClibc_fpmax.h:INITIAL->1.1 
	libc/sysdeps/linux/common/bits/uClibc_locale.h:1.5->1.6 
	libc/sysdeps/linux/common/bits/uClibc_stdio.h:1.11->1.12 
	libc/sysdeps/linux/common/bits/uClibc_touplow.h:INITIAL->1.1 
	libc/sysdeps/linux/common/bits/uClibc_uwchar.h:INITIAL->1.1 
	libc/sysdeps/linux/common/bits/xopen_lim.h:1.2->1.3 
	libc/unistd/getopt.c:1.7->1.8 
	libpthread/linuxthreads/Makefile:1.8->1.9 
	libpthread/linuxthreads/internals.h:1.5->1.6 
	libpthread/linuxthreads/locale.c:INITIAL->1.1 
	libpthread/linuxthreads/manager.c:1.6->1.7 
	libpthread/linuxthreads/pthread.c:1.10->1.11 

---------------------
PatchSet 2539 
Date: 2003/08/01 21:35:12
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Fix a silly error.

To use the pregenerated locales, untar in the extra/locale directory.
Do a 'make config' or 'make menuconfig' in the uClibc root dir, then
a 'make headers' followed by 'make -C extra/locale pregen'.  Then
continue with 'make' as usual.

Members: 
	extra/locale/Makefile:1.10->1.11 

---------------------
PatchSet 2540 
Date: 2003/08/02 00:56:15
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Replace 'new' in a prototype to avoid c++ problems.

Members: 
	libc/sysdeps/linux/common/bits/uClibc_locale.h:1.6->1.7 

---------------------
PatchSet 2541 
Date: 2003/08/02 20:17:59
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Update licensing discussion

Members: 
	docs/uclibc.org/FAQ.html:1.12->1.13 

---------------------
PatchSet 2542 
Date: 2003/08/04 20:03:33
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Update inet_aton() to support an undocumented feature of inet_aton,
per UNIX Network Programming, Volume 1, second edition:

    An undocumented feature of inet_aton is that if addrptr is
    a null pointer, the function still performs it validation
    of the input string, but does not store the result.

Members: 
	libc/inet/addr.c:1.12->1.13 

---------------------
PatchSet 2543 
Date: 2003/08/04 21:23:05
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
For sparc, powerpc, mips, and alpha we should also use the
common ipc.h header and struct definitions.
 -Erik

Members: 
	libc/sysdeps/linux/alpha/bits/ipc.h:1.1->1.2(DEAD) 
	libc/sysdeps/linux/mips/bits/ipc.h:1.3->1.4(DEAD) 
	libc/sysdeps/linux/powerpc/bits/ipc.h:1.2->1.3(DEAD) 
	libc/sysdeps/linux/sparc/bits/ipc.h:1.2->1.3(DEAD) 

---------------------
PatchSet 2544 
Date: 2003/08/05 02:52:38
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Merge/rework config system per the latest from linux-2.6.0-test2
 -Erik

Members: 
	extra/config/conf.c:1.3->1.4 
	extra/config/confdata.c:1.6->1.7 
	extra/config/expr.c:1.1->1.2 
	extra/config/expr.h:1.2->1.3 
	extra/config/lex.zconf.c_shipped:1.2->1.3 
	extra/config/lkc.h:1.1->1.2 
	extra/config/lkc_proto.h:1.2->1.3 
	extra/config/mconf.c:1.7->1.8 
	extra/config/menu.c:1.1->1.2 
	extra/config/symbol.c:1.4->1.5 
	extra/config/zconf.l:1.2->1.3 
	extra/config/zconf.tab.c_shipped:1.3->1.4 
	extra/config/zconf.y:1.2->1.3 

---------------------
PatchSet 2545 
Date: 2003/08/05 06:54:28
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Shuffle options around a bit

Members: 
	extra/Configs/Config.in:1.20->1.21 

---------------------
PatchSet 2546 
Date: 2003/08/05 06:58:49
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Looks like I missed a spot

Members: 
	extra/config/zconf.tab.c_shipped:1.4->1.5 
	extra/config/zconf.y:1.3->1.4 

---------------------
PatchSet 2547 
Date: 2003/08/05 09:08:46
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Zou WeiJun noticed a type breaking the stime syscall
 -Erik

Members: 
	libc/sysdeps/linux/common/syscalls.c:1.106->1.107 

---------------------
PatchSet 2548 
Date: 2003/08/05 19:51:16
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from David Wuertele to prevent "conflicts with new declaration with C
linkage" problems with C++

Members: 
	libc/sysdeps/linux/common/bits/shm.h:1.2->1.3 

---------------------
PatchSet 2549 
Date: 2003/08/06 23:41:22
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Begin documenting differences between uClibc and SuSv3
 -Erik

Members: 
	docs/uClibc_vs_SuSv3.txt:INITIAL->1.1 

---------------------
PatchSet 2550 
Date: 2003/08/08 11:07:32
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add support for personality(), prctl(), ustat(), and ulimit()
syscalls, which had managed to stay unimplemented thus far.
 -Erik

Members: 
	include/ulimit.h:INITIAL->1.1 
	include/ustat.h:INITIAL->1.1 
	include/sys/personality.h:INITIAL->1.1 
	include/sys/prctl.h:INITIAL->1.1 
	include/sys/resource.h:1.4->1.5 
	include/sys/ustat.h:INITIAL->1.1 
	libc/sysdeps/linux/common/Makefile:1.82->1.83 
	libc/sysdeps/linux/common/syscalls.c:1.107->1.108 
	libc/sysdeps/linux/common/bits/ustat.h:1.1->1.2 

---------------------
PatchSet 2551 
Date: 2003/08/08 11:30:10
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add in a MALLOC_GLIBC_COMPAT option to let people decide if they
want glibc style malloc(0) behavior

Members: 
	extra/Configs/Config.in:1.21->1.22 
	libc/stdlib/malloc/malloc.c:1.33->1.34 
	libc/stdlib/malloc-930716/malloc.c:1.9->1.10 

---------------------
PatchSet 2552 
Date: 2003/08/10 03:58:53
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add support for the ulimit syscall

Members: 
	libc/sysdeps/linux/common/ulimit.c:INITIAL->1.1 

---------------------
PatchSet 2553 
Date: 2003/08/10 05:39:24
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Update likely() to cope with truth values other than 1

Members: 
	include/features.h:1.48->1.49 

---------------------
PatchSet 2554 
Date: 2003/08/10 09:01:17
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
An even simpler likely

Members: 
	include/features.h:1.49->1.50 

---------------------
PatchSet 2555 
Date: 2003/08/10 11:09:44
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
silly me, thats not going to work.

Members: 
	include/features.h:1.50->1.51 

---------------------
PatchSet 2556 
Date: 2003/08/11 05:42:36
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
also carefully booleanize the false value

Members: 
	include/features.h:1.51->1.52 

---------------------
PatchSet 2557 
Date: 2003/08/12 07:57:40
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fixup centering so the site does not look like crap in IE

Members: 
	docs/uclibc.org/index.html:1.64->1.65 

---------------------
PatchSet 2558 
Date: 2003/08/13 21:08:21
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Paul Mundt adding uClibc sh64 support:

Here's a patch that implements the beginnings of a rudimentary sh64 port. So
far, this only works static, as I haven't done any of the ldso work yet. I've
also not touched the libpthread stuff yet either, so that's also disabled for
now.

This port was based off of some work that Sean McGoogan at SuperH did for his
initial port, but the this patch doesn't carry over too much from there
(basically the libc/sysdeps/linux/sh64/Makefile (or rather, parts of it),
the setjmp/longjmp stuff (which I had to rewrite portions of it to work with
the new toolchains), etc.).

However, for static, everything appears to work correcly, at least in a hello
world type application.

Members: 
	Rules.mak:1.134->1.135 
	extra/Configs/Config.sh:1.35->1.36 
	extra/Configs/Config.sh.default:1.1->1.2 
	extra/Configs/Config.sh64:INITIAL->1.1 
	extra/Configs/Config.sh64.default:INITIAL->1.1 
	libc/sysdeps/linux/Makefile:1.18->1.19 
	libc/sysdeps/linux/common/initfini.c:1.13->1.14 
	libc/sysdeps/linux/sh64/Makefile:INITIAL->1.1 
	libc/sysdeps/linux/sh64/__init_brk.c:INITIAL->1.1 
	libc/sysdeps/linux/sh64/brk.c:INITIAL->1.1 
	libc/sysdeps/linux/sh64/crt0.S:INITIAL->1.1 
	libc/sysdeps/linux/sh64/fork.c:INITIAL->1.1 
	libc/sysdeps/linux/sh64/longjmp.S:INITIAL->1.1 
	libc/sysdeps/linux/sh64/sbrk.c:INITIAL->1.1 
	libc/sysdeps/linux/sh64/setjmp.S:INITIAL->1.1 
	libc/sysdeps/linux/sh64/bits/endian.h:INITIAL->1.1 
	libc/sysdeps/linux/sh64/bits/fcntl.h:INITIAL->1.1 
	libc/sysdeps/linux/sh64/bits/kernel_stat.h:INITIAL->1.1 
	libc/sysdeps/linux/sh64/bits/kernel_types.h:INITIAL->1.1 
	libc/sysdeps/linux/sh64/bits/setjmp.h:INITIAL->1.1 
	libc/sysdeps/linux/sh64/bits/syscalls.h:INITIAL->1.1 
	libc/sysdeps/linux/sh64/bits/wordsize.h:INITIAL->1.1 
	libc/sysdeps/linux/sh64/sys/ucontext.h:INITIAL->1.1 

---------------------
PatchSet 2559 
Date: 2003/08/14 19:46:31
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Use the common version for bits/sem.h.  Fixup the types to
match the kernel type exactly.

Members: 
	libc/sysdeps/linux/alpha/bits/sem.h:1.1->1.2(DEAD) 
	libc/sysdeps/linux/common/bits/sem.h:1.2->1.3 
	libc/sysdeps/linux/mips/bits/sem.h:1.2->1.3(DEAD) 
	libc/sysdeps/linux/powerpc/bits/sem.h:1.2->1.3(DEAD) 
	libc/sysdeps/linux/sparc/bits/sem.h:1.2->1.3(DEAD) 

---------------------
PatchSet 2560 
Date: 2003/08/17 05:40:42
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Fix a cut-and-paste error.  Collation should be working again.

Members: 
	libc/misc/locale/locale.c:1.13->1.14 

---------------------
PatchSet 2561 
Date: 2003/08/18 22:14:27
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
_wchar_utf8sntowcs and _wchar_wcsntoutf8s now set errno if EILSEQ.

Members: 
	libc/misc/wchar/wchar.c:1.11->1.12 

---------------------
PatchSet 2562 
Date: 2003/08/18 22:15:55
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
scanf %lc,%ls,%l[ would always set mb_fail on eof or error,
  even when just starting a new mb char.
wscanf would incorrectly unget in certain situations.

Members: 
	libc/stdio/scanf.c:1.28->1.29 

---------------------
PatchSet 2563 
Date: 2003/08/18 22:28:33
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Fixed a bug where locales nontrivially derived from iso14651_t1 did not have
the UNDEFINED entry set properly.

Members: 
	extra/locale/gen_collate.c:1.3->1.4 

---------------------
PatchSet 2564 
Date: 2003/08/18 22:56:11
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Cleanup arm architecture optimizations and add big endian arm as well.

Members: 
	Rules.mak:1.135->1.136 
	extra/Configs/Config.arm:1.35->1.36 

---------------------
PatchSet 2565 
Date: 2003/08/19 00:14:09
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Work around a bug in nm from binutils-2.14.90.0.5.

Members: 
	extra/scripts/get-needed-libgcc-objects.sh:1.19->1.20 

---------------------
PatchSet 2566 
Date: 2003/08/19 07:05:29
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Phase one of my evil plan to clean up ld.so...

Members: 
	ldso/Makefile:1.22->1.23 
	ldso/config.h:1.5->1.6(DEAD) 
	ldso/include/.cvsignore:INITIAL->1.1 
	ldso/include/dlfcn.h:INITIAL->1.1 
	ldso/include/ld_elf.h:INITIAL->1.1 
	ldso/include/ld_hash.h:INITIAL->1.1 
	ldso/include/ld_string.h:INITIAL->1.1 
	ldso/include/ld_syscall.h:INITIAL->1.1 
	ldso/include/ldso.h:INITIAL->1.1 
	ldso/ldso/.cvsignore:1.6->1.7 
	ldso/ldso/Makefile:1.40->1.41 
	ldso/ldso/ld_hash.h:1.16->1.17(DEAD) 
	ldso/ldso/ld_string.h:1.17->1.18(DEAD) 
	ldso/ldso/ld_syscall.h:1.17->1.18(DEAD) 
	ldso/ldso/ldso.c:1.67->1.68 
	ldso/ldso/linuxelf.h:1.10->1.11(DEAD) 
	ldso/ldso/readelflib1.c:1.41->1.42 
	ldso/libdl/Makefile:1.27->1.28 
	ldso/libdl/dlfcn.h:1.1->1.2(DEAD) 
	ldso/libdl/dlib.c:1.26->1.27 
	ldso/util/Makefile:1.32->1.33 
	ldso/util/ldconfig.c:1.9->1.10 

---------------------
PatchSet 2567 
Date: 2003/08/19 14:11:05
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Cool.  Found most of the problem.  Turns out we were inadvertanly loading some
libraries multiple times, wasting memory and causing different libraries to use
different symbol sets, some of which were not properly resolved.

Continue scrubbing ld.so and converting it to use proper types.

Members: 
	ldso/include/ld_hash.h:1.1->1.2 
	ldso/ldso/hash.c:1.13->1.14 
	ldso/ldso/ldso.c:1.68->1.69 
	ldso/ldso/readelflib1.c:1.42->1.43 
	ldso/ldso/i386/elfinterp.c:1.23->1.24 
	ldso/libdl/dlib.c:1.27->1.28 

---------------------
PatchSet 2568 
Date: 2003/08/19 15:08:44
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
More routine cleanup

Members: 
	ldso/ldso/i386/elfinterp.c:1.24->1.25 

---------------------
PatchSet 2569 
Date: 2003/08/19 15:15:39
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
I just realized we need global symbol resolution for everything in
a chain of dependent libraries or libraries that depend on other
shared libraries will not work!

So with a well placed
    dyn_chain->flags |= RTLD_GLOBAL;
everything is now working perfectly!!!  Sweet!!!!

This patch also removes some leftover junk from my previous efforts.

Members: 
	ldso/libdl/dlib.c:1.28->1.29 

---------------------
PatchSet 2570 
Date: 2003/08/19 15:24:14
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Update the tests a little bit

Members: 
	test/dlopen/Makefile:1.1->1.2 
	test/dlopen/libtest1.c:1.1->1.2 
	test/dlopen/libtest2.c:1.1->1.2 
	test/dlopen/test3.c:INITIAL->1.1 

---------------------
PatchSet 2571 
Date: 2003/08/19 15:25:45
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
ignore unwanted stuff

Members: 
	test/dlopen/.cvsignore:INITIAL->1.1 

---------------------
PatchSet 2572 
Date: 2003/08/20 05:26:41
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Correct included header for ustat.

Members: 
	libc/sysdeps/linux/common/syscalls.c:1.108->1.109 

---------------------
PatchSet 2573 
Date: 2003/08/21 00:19:23
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Revert this change for now.

Members: 
	Rules.mak:1.136->1.137 

---------------------
PatchSet 2574 
Date: 2003/08/21 08:56:36
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Be sure to remove the old ldso.h, since it will screw things
up badly if still present...

Members: 
	ldso/ldso/Makefile:1.41->1.42 

---------------------
PatchSet 2575 
Date: 2003/08/21 09:15:58
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add missing semicolons

Members: 
	libc/sysdeps/linux/common/sendfile64.c:1.2->1.3 

---------------------
PatchSet 2576 
Date: 2003/08/22 03:56:46
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Remove some mips specific hacks that are no longer needed, and actively break
things, now that I have cleaned up the code to be a bit less horribly messy.
With this, the shared lib loader works on mips once again.
 -Erik

Members: 
	ldso/ldso/ldso.c:1.69->1.70 

---------------------
PatchSet 2577 
Date: 2003/08/22 04:05:06
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Atsushi Nemoto, who writes:

I found that current pread/pwrite is broken on mips.

On mips, kernel needs 6 arguments for pread/pwrite system call.  (3
words for first 3 arguments + 1 padding word + 2 words for last 64bit
argument).  Also, mips64 kernel needs just 4 arguments so no wrapper
will be required.

This is a patch against 0.9.20.

Members: 
	libc/sysdeps/linux/mips/Makefile:1.28->1.29 
	libc/sysdeps/linux/mips/pread_write.c:INITIAL->1.1 

---------------------
PatchSet 2578 
Date: 2003/08/22 04:25:42
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
mention ucdot.org

Members: 
	docs/uclibc.org/index.html:1.65->1.66 

---------------------
PatchSet 2579 
Date: 2003/08/22 05:07:06
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Link update

Members: 
	docs/uclibc.org/index.html:1.66->1.67 

---------------------
PatchSet 2580 
Date: 2003/08/22 08:04:16
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Make the mips ld.so debug noise somewhat useful, and less gratuitously
different than all other arches.
 -Erik

Members: 
	ldso/ldso/mips/elfinterp.c:1.6->1.7 

---------------------
PatchSet 2581 
Date: 2003/08/22 21:28:43
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Avoid gratuitous conflicts when used with kernel headers

Members: 
	include/features.h:1.52->1.53 

---------------------
PatchSet 2582 
Date: 2003/08/22 22:10:47
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Don't use linux/sysctl.h and instead locally define struct __sysctl_args.

Members: 
	libc/sysdeps/linux/common/syscalls.c:1.109->1.110 

---------------------
PatchSet 2583 
Date: 2003/08/24 04:49:05
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Fix a few bugs in the new extended locale functions.
Move stub gettext functions to a stub libintl to make switching in
  gnu gettext easier.  Also add a few gnu-isms.
Change to using hidden names with global weak aliases for the extended
  locale functions, as expected by libstd++.
Slightly rework the locale data generation stuff to allow pregenerated
  locale data to be used with buildroot.

Members: 
	Makefile:1.207->1.208 
	extra/locale/Makefile:1.11->1.12 
	include/langinfo.h:1.6->1.7 
	include/locale.h:1.6->1.7 
	include/stdlib.h:1.40->1.41 
	include/string.h:1.24->1.25 
	include/time.h:1.7->1.8 
	include/wchar.h:1.3->1.4 
	include/wctype.h:1.3->1.4 
	libc/misc/ctype/ctype.c:1.14->1.15 
	libc/misc/gnu/obstack.c:1.1->1.2 
	libc/misc/intl/Makefile:1.1->1.2 
	libc/misc/intl/intl.c:1.1->1.2 
	libc/misc/locale/.cvsignore:1.1->1.2 
	libc/misc/locale/Makefile:1.10->1.11 
	libc/misc/locale/locale.c:1.14->1.15 
	libc/misc/time/time.c:1.13->1.14 
	libc/misc/wctype/wctype.c:1.4->1.5 
	libc/stdlib/stdlib.c:1.11->1.12 
	libc/stdlib/strtod.c:1.7->1.8 
	libc/string/wstring.c:1.16->1.17 
	libc/sysdeps/linux/common/bits/uClibc_locale.h:1.7->1.8 
	libintl/.cvsignore:INITIAL->1.1 
	libintl/Makefile:INITIAL->1.1 
	libintl/intl.c:INITIAL->1.1 

---------------------
PatchSet 2584 
Date: 2003/08/24 06:11:50
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
conditionally add wordexp, in this case ripped from glibc.
I hate to add this stuff, but it is specified by SuSv3...

Members: 
	libc/misc/Makefile:1.36->1.37 
	libc/misc/wordexp/Makefile:1.2->1.3 
	libc/misc/wordexp/wordexp.c:1.2->1.3 

---------------------
PatchSet 2585 
Date: 2003/08/24 06:55:50
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Reluctantly add wordexp()

Members: 
	extra/Configs/Config.in:1.22->1.23 

---------------------
PatchSet 2586 
Date: 2003/08/25 16:00:00
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Add missing header.

Members: 
	include/wordexp.h:INITIAL->1.1 

---------------------
PatchSet 2587 
Date: 2003/08/27 13:59:23
Author: tobiasa
Branch: HEAD
Tag: (none) 
Log:
Cosmetic changes.

Members: 
	ldso/ldso/cris/boot1_arch.h:1.1->1.2 
	ldso/ldso/cris/elfinterp.c:1.2->1.3 
	ldso/ldso/cris/ld_sysdep.h:1.1->1.2 

---------------------
PatchSet 2588 
Date: 2003/08/27 14:04:27
Author: tobiasa
Branch: HEAD
Tag: (none) 
Log:
Updated CRIS configuration files.

Members: 
	extra/Configs/Config.cris:1.6->1.7 
	extra/Configs/Config.cris.default:1.1->1.2 

---------------------
PatchSet 2589 
Date: 2003/08/27 14:07:01
Author: tobiasa
Branch: HEAD
Tag: (none) 
Log:
Removed CRIS specific code.

Members: 
	ldso/ldso/Makefile:1.42->1.43 

---------------------
PatchSet 2590 
Date: 2003/08/27 14:13:47
Author: tobiasa
Branch: HEAD
Tag: (none) 
Log:
Cosmetic changes.

Members: 
	libc/sysdeps/linux/cris/crt0.c:1.3->1.4 
	libc/sysdeps/linux/cris/bits/byteswap.h:1.1->1.2 
	libc/sysdeps/linux/cris/bits/syscalls.h:1.2->1.3 

---------------------
PatchSet 2591 
Date: 2003/08/27 14:17:07
Author: tobiasa
Branch: HEAD
Tag: (none) 
Log:
Added cris to "define list".

Members: 
	libc/sysdeps/linux/common/create_module.c:1.7->1.8 

---------------------
PatchSet 2592 
Date: 2003/08/28 06:51:04
Author: miles
Branch: HEAD
Tag: (none) 
Log:
(1) Make UCLIBC_CC env var work even if __UCLIBC_CTOR_DTOR__ isn't defined.
(2) Add a command-line option --uclibc-cc with the same functionality.

Members: 
	extra/gcc-uClibc/gcc-uClibc.c:1.61->1.62 

---------------------
PatchSet 2593 
Date: 2003/08/28 18:16:52
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Create a typedef for the ctype bitmask table entries.
Hack a fix for ctype support of 8-bit codeset locales.

Note: toupper/tolower mappings do not handle the special cases for the
tr_TR and az_AZ locales, since the wide versions currently handle them
either.  That will be addressed when I rewrite the data generation tools
and the libc locale code.

Members: 
	include/ctype.h:1.16->1.17 
	libc/misc/ctype/ctype.c:1.15->1.16 
	libc/misc/locale/locale.c:1.15->1.16 
	libc/sysdeps/linux/common/bits/uClibc_locale.h:1.8->1.9 
	libc/sysdeps/linux/common/bits/uClibc_touplow.h:1.1->1.2 

---------------------
PatchSet 2594 
Date: 2003/08/29 23:52:20
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
here is (I hope) a better way to handle this one.  I regularly build
debug versions of uClibc with -O0, but libpthread/linuxthreads/spinlock.c
will not compile without at least -O1 optimization...

Members: 
	libpthread/linuxthreads/Makefile:1.9->1.10 

---------------------
PatchSet 2595 
Date: 2003/08/30 00:52:04
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Remove comments about wordexp.

Members: 
	docs/Glibc_vs_uClibc_Differences.txt:1.9->1.10 
	docs/uClibc_vs_SuSv3.txt:1.1->1.2 
	docs/uclibc.org/FAQ.html:1.13->1.14 

---------------------
PatchSet 2596 
Date: 2003/08/30 04:31:55
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Some doc updates.

Members: 
	TODO:1.41->1.42 
	docs/Glibc_vs_uClibc_Differences.txt:1.10->1.11 

---------------------
PatchSet 2597 
Date: 2003/08/30 20:16:43
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add a couple of things... And check that cvs commit diffs are
working again...

Members: 
	TODO:1.42->1.43 

---------------------
PatchSet 2598 
Date: 2003/08/31 07:51:52
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Weed out duplicates before trying to load libraries....  Delayed
checking for duplicates and returning an alias if an existing lib
is already loaded is still correct for the dlopen case.

Members: 
	ldso/include/ld_elf.h:1.1->1.2 
	ldso/ldso/ldso.c:1.70->1.71 
	ldso/ldso/readelflib1.c:1.43->1.44 

---------------------
PatchSet 2599 
Date: 2003/09/01 10:45:44
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Fix precision bug for %g conversion specifier when using %f style.

Members: 
	libc/stdio/printf.c:1.46->1.47 

---------------------
PatchSet 2600 
Date: 2003/09/01 10:47:08
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Rework a few things.

Members: 
	libc/misc/intl/Makefile:1.2->1.3 
	libc/misc/intl/intl.c:1.2->1.3 
	libintl/intl.c:1.1->1.2 

---------------------
PatchSet 2601 
Date: 2003/09/01 15:56:33
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Greg Nutt writes:

Attached is a patch for a bug I found in libc/termios/ttyname.c.
Essentially the length of the buffer is calculated incorrectly in a
strncpy call and then the null terminator is placed on the byte after
the buffer.

This probably cause some very strange behavior on my system (it ended up
setting malloc's heapsize to zero) but may be innocuous on other systems.

Members: 
	libc/termios/ttyname.c:1.10->1.11 

---------------------
PatchSet 2602 
Date: 2003/09/01 16:00:54
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Atsushi Nemoto writes:

I found math fpclassify function is broken because FP_XXX definitions
in libm/fp_private.h is incompatible with include/math.h.

Also I noticed fp_private.h and fpmacros.c use many 'long int' for
32bit variables.  I think these should be int or u_int32_t.

Here is a patch against 0.9.20.

fp_private.c:
--- fix union members (use u_int32_t instead of 'unsigned long int').
--- remove incompatible FP_XXX definitions (and some unused macros).
fpmacros.c:
--- use FP_NAN instead of FP_QNAN/FP_SNAN.
--- use correct type (int instead of long int).
--- fix union members (use u_int32_t instead of 'unsigned long int').
--- remove unnecessary cast.

Note that I had to remove weak_alias for isnanl,isinfl to compile
patched fpmacroc.c.  Is this really needed?  Original behavior (using
isnan for isnanl) seems problematic anyway.

Members: 
	libm/fp_private.h:1.1->1.2 
	libm/fpmacros.c:1.4->1.5 

---------------------
PatchSet 2603 
Date: 2003/09/01 16:06:26
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Rob Landley writes:

SYSTEM_DEVEL_PREFIX says: "This defaults to $(DEVEL_PREFIX)/usr", but it
actually defaults to just "($DEVEL_PREFIX)".

Just thought I'd mention it... :)

Members: 
	extra/Configs/Config.in:1.23->1.24 

---------------------
PatchSet 2604 
Date: 2003/09/01 18:47:29
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Remove a bunch of guessing about the location of the kernel
headers.  Move most of that into a script, and warn loudly
when having to guess.
 -Erik

Members: 
	Makefile:1.208->1.209 
	extra/scripts/fix_includes.sh:INITIAL->1.1 

---------------------
PatchSet 2605 
Date: 2003/09/01 18:58:38
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Do not overwrite CPU_CFLAGS values....

Members: 
	Rules.mak:1.137->1.138 

---------------------
PatchSet 2606 
Date: 2003/09/01 19:03:49
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
15 retries is really rather excessive...

Members: 
	libc/inet/resolv.c:1.46->1.47 

---------------------
PatchSet 2607 
Date: 2003/09/01 19:32:22
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Hack around bg_BG bug; grouping specified but no thousands separator.
Also, disable the locale link_warnings for now, as they generate a
lot of noise when using libstd++.

Members: 
	libc/misc/locale/locale.c:1.16->1.17 

---------------------
PatchSet 2608 
Date: 2003/09/01 20:25:55
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
pass in "-s" directly

Members: 
	extra/gcc-uClibc/Makefile:1.57->1.58 

---------------------
PatchSet 2609 
Date: 2003/09/01 20:26:33
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
minor link updates

Members: 
	docs/uclibc.org/uClibc-apps.html:1.22->1.23 

---------------------
PatchSet 2610 
Date: 2003/09/01 20:57:31
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
minor cleanup

Members: 
	test/unistd/vfork.c:1.4->1.5 

---------------------
PatchSet 2611 
Date: 2003/09/01 21:42:39
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
A better test for a dlopen problem with weak symbols, based
on a much improve test by mjn3.

Members: 
	test/ldso/.cvsignore:1.3->1.4 
	test/ldso/Makefile:1.11->1.12 
	test/ldso/dltest.c:1.1->1.2 
	test/ldso/howdy.c:1.3->1.4(DEAD) 
	test/ldso/libtest.c:INITIAL->1.1 

---------------------
PatchSet 2612 
Date: 2003/09/01 21:45:21
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
kill these too.

Members: 
	test/ldso/dltest2.c:1.2->1.3(DEAD) 
	test/ldso/dlttest.c:1.1->1.2(DEAD) 

---------------------
PatchSet 2613 
Date: 2003/09/02 00:43:42
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
move the ldso tests to dlopen where they belong

Members: 
	test/Makefile:1.26->1.27 
	test/dlopen/.cvsignore:1.1->1.2 
	test/dlopen/Makefile:1.2->1.3 
	test/dlopen/dltest.c:INITIAL->1.1 
	test/dlopen/libtest.c:INITIAL->1.1 
	test/ldso/.cvsignore:1.4->1.5(DEAD) 
	test/ldso/Makefile:1.12->1.13(DEAD) 
	test/ldso/dltest.c:1.2->1.3(DEAD) 
	test/ldso/libtest.c:1.1->1.2(DEAD) 

---------------------
PatchSet 2614 
Date: 2003/09/02 00:55:15
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Use "__pthread_once", since that is weak and present in both
glibc and uClibc.

Members: 
	test/dlopen/dltest.c:1.1->1.2 
	test/dlopen/libtest.c:1.1->1.2 

---------------------
PatchSet 2615 
Date: 2003/09/02 01:17:01
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Make it easier to disable lib debugging (mainly for when testing
with glibc).

Members: 
	test/dlopen/Makefile:1.3->1.4 

---------------------
PatchSet 2616 
Date: 2003/09/02 07:54:14
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix a problem with dtors/dtors.

Members: 
	ldso/libdl/dlib.c:1.29->1.30 

---------------------
PatchSet 2617 
Date: 2003/09/02 07:55:18
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
delete some garbage, cleanup duplicate handling

Members: 
	ldso/ldso/ldso.c:1.71->1.72 

---------------------
PatchSet 2618 
Date: 2003/09/02 07:55:55
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
cleanup/simplify duplicate handling.

Members: 
	ldso/ldso/readelflib1.c:1.44->1.45 

---------------------
PatchSet 2619 
Date: 2003/09/03 04:23:31
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Only define __STDC_ISO_10646__ if wide char support is enabled.

Members: 
	include/features.h:1.53->1.54 

---------------------
PatchSet 2620 
Date: 2003/09/03 08:23:12
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Some more buildroot-motivated fixes.  Avoid installing some headers, as
well as stub libintl, depending on configuration.

Members: 
	Makefile:1.209->1.210 
	libc/misc/Makefile:1.37->1.38 
	libc/misc/gnu/obstack.c:1.2->1.3 

---------------------
PatchSet 2621 
Date: 2003/09/03 13:49:01
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Let "$KERNEL_SOURCE/include/asm" be either a link or a directory.

Members: 
	extra/scripts/fix_includes.sh:1.1->1.2 

---------------------
PatchSet 2622 
Date: 2003/09/04 02:39:18
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Minor cosmetic cleanups to avoid getting spurious bug reports.

Members: 
	extra/scripts/fix_includes.sh:1.2->1.3 

---------------------
PatchSet 2623 
Date: 2003/09/05 06:36:10
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Oops... Forgot to convert this to the new floating point conversion func.

Members: 
	libc/stdio/old_vfprintf.c:1.7->1.8 

---------------------
PatchSet 2624 
Date: 2003/09/05 07:20:05
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Move an #endif that was in the wrong place.

Members: 
	include/stdlib.h:1.41->1.42 

---------------------
PatchSet 2625 
Date: 2003/09/05 07:50:56
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Always build _store_inttype since it is used by the new scanf.

Members: 
	libc/stdio/Makefile:1.39->1.40 

---------------------
PatchSet 2626 
Date: 2003/09/05 22:04:39
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
mjn3 noticed we were missing seed48, which was odd since we had
all the other *48 random functions.

Members: 
	libc/stdlib/Makefile:1.52->1.53 
	libc/stdlib/seed48.c:INITIAL->1.1 
	libc/stdlib/seed48_r.c:INITIAL->1.1 

---------------------
PatchSet 2627 
Date: 2003/09/05 23:33:18
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add support for ftw and nftw

Members: 
	include/ftw.h:INITIAL->1.1 
	libc/misc/ftw/Makefile:INITIAL->1.1 
	libc/misc/ftw/ftw.c:INITIAL->1.1 

---------------------
PatchSet 2628 
Date: 2003/09/06 00:21:22
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Bump version number in preparation for a release

Members: 
	Rules.mak:1.138->1.139 

---------------------
PatchSet 2629 
Date: 2003/09/06 00:29:47
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Remove ftw and nftw as exceptions, add getgrgid_r and getgrnam_r

Members: 
	docs/uClibc_vs_SuSv3.txt:1.2->1.3 

---------------------
PatchSet 2630 
Date: 2003/09/06 01:00:03
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Let people enable ftw, make glob an option, add a new "Big and Tall"
top level config menu.

Members: 
	extra/Configs/Config.in:1.24->1.25 
	libc/misc/Makefile:1.38->1.39 

---------------------
PatchSet 2631 
Date: 2003/09/06 01:32:05
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix the bugs I stupidly added

Members: 
	libc/misc/ftw/ftw.c:1.1->1.2 
	libc/misc/search/Makefile:1.2->1.3 
	libc/misc/search/tsearch.c:1.1->1.2 

---------------------
PatchSet 2632 
Date: 2003/09/06 01:38:29
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Remove more headers when options are disabled

Members: 
	Makefile:1.210->1.211 

---------------------
PatchSet 2633 
Date: 2003/09/06 02:07:11
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add more pretty comments

Members: 
	Makefile:1.211->1.212 

---------------------
PatchSet 2634 
Date: 2003/09/06 02:08:55
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Be more clear

Members: 
	Makefile:1.212->1.213 

---------------------
PatchSet 2635 
Date: 2003/09/06 03:15:41
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
fixup ftw and ftw64.  Unfortunately, adding ftw64 doubles the
size... :-(

Members: 
	libc/misc/ftw/Makefile:1.1->1.2 
	libc/misc/ftw/ftw.c:1.2->1.3 

---------------------
PatchSet 2636 
Date: 2003/09/06 03:58:32
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
oops.  ftw would blow chunks if UCLIBC_HAS_LFS was disabled.

Members: 
	libc/misc/ftw/ftw.c:1.3->1.4 

---------------------
PatchSet 2637 
Date: 2003/09/06 04:28:09
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Don't install floating point related headers, and wrap some previously
  unwrapped prototypes, when float support is disabled.
Also don't install printf.h if glibc custom printf specifier support
  is disabled.

Members: 
	Makefile:1.213->1.214 
	include/time.h:1.8->1.9 
	include/values.h:1.1->1.2 
	include/wchar.h:1.4->1.5 

---------------------
PatchSet 2638 
Date: 2003/09/06 04:29:33
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Small fix for when threading (I think) was disabled.

Members: 
	libc/pwd_grp/__getgrent.c:1.8->1.9 

---------------------
PatchSet 2639 
Date: 2003/09/06 04:30:42
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Update old_vfconfig help and some dependencies.

Members: 
	extra/Configs/Config.in:1.25->1.26 

---------------------
PatchSet 2640 
Date: 2003/09/06 04:37:17
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Implement vsnprintf (old_vfprintf only) and vsnscanf when uClibc is
  configured with non-buffered stdio and non-wchar mode.
Fix a couple of bugs that showed up in minimalist configurations.
Update old_vfprintf to handle size qualifiers on the integer and %n
  conversions.  It now passed the glibc printf tests with the exception
  of a floating point rounding difference.

Members: 
	libc/stdio/Makefile:1.40->1.41 
	libc/stdio/old_vfprintf.c:1.8->1.9 
	libc/stdio/printf.c:1.47->1.48 
	libc/stdio/scanf.c:1.29->1.30 

---------------------
PatchSet 2641 
Date: 2003/09/06 07:09:51
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Running ltp 20030905 showed that tcsendbreak was broken.
This fixes it.

Members: 
	libc/termios/termios.c:1.12->1.13 

---------------------
PatchSet 2642 
Date: 2003/09/06 12:49:27
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix errno values.  Fix MALLOC_GLIBC_COMPAT handling in malloc/malloc.c,
which was reversed.  Provide more consistancy between implementations.
Handle it when people do stupid things like malloc(-1);

Members: 
	libc/stdlib/malloc/malloc.c:1.34->1.35 
	libc/stdlib/malloc/realloc.c:1.18->1.19 
	libc/stdlib/malloc-930716/malloc.c:1.10->1.11 
	libc/stdlib/malloc-930716/realloc.c:1.3->1.4 

---------------------
PatchSet 2643 
Date: 2003/09/06 13:58:51
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix numerous problems with both getcwd implementations.
 -Erik

Members: 
	libc/sysdeps/linux/common/getcwd.c:1.4->1.5 

---------------------
PatchSet 2644 
Date: 2003/09/06 14:00:11
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add an implementation of profil(), based on the version from
glibc, with several changes for use in uClibc.

Members: 
	libc/sysdeps/linux/common/Makefile:1.83->1.84 
	libc/sysdeps/linux/common/profil.c:INITIAL->1.1 

---------------------
PatchSet 2645 
Date: 2003/09/06 14:34:48
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
add missing prototype

Members: 
	libc/stdlib/malloc/malloc.h:1.16->1.17 

---------------------
PatchSet 2646 
Date: 2003/09/06 14:36:07
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
'extern inline' doesn't work...  Use 'static inline'

Members: 
	libc/stdlib/malloc/heap.h:1.11->1.12 

---------------------
PatchSet 2647 
Date: 2003/09/07 03:08:25
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix some more problems found by the ltp

Members: 
	libc/sysdeps/linux/common/pread_write.c:1.6->1.7 
	libc/sysdeps/linux/mips/pread_write.c:1.1->1.2 

---------------------
PatchSet 2648 
Date: 2003/09/07 04:13:56
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Remove profil.c, since it is constained within gmon.c.

Members: 
	libc/sysdeps/linux/common/Makefile:1.84->1.85 
	libc/sysdeps/linux/common/profil.c:1.1->1.2(DEAD) 

---------------------
PatchSet 2649 
Date: 2003/09/07 04:17:10
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
i386/mcount.S expects to call __mcount_internal with the 2 args passed
in registers.

NOTE:  i386/mcount.S really needs to be rewritten.  It currently won't
work for non-PIC builds.

Members: 
	libc/sysdeps/linux/i386/bits/machine-gmon.h:1.1->1.2 

---------------------
PatchSet 2650 
Date: 2003/09/07 05:08:26
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Some updates from glibc.  mjn3 reports this fixes profiling
on i386, at least, so seems like a good thing.

Members: 
	libc/sysdeps/linux/arm/bits/profil-counter.h:1.1->1.2 
	libc/sysdeps/linux/arm/bits/sigcontextinfo.h:1.1->1.2 
	libc/sysdeps/linux/i386/bits/profil-counter.h:1.1->1.2 
	libc/sysdeps/linux/powerpc/bits/profil-counter.h:1.1->1.2 
	libc/sysdeps/linux/sh/bits/profil-counter.h:1.2->1.3 

---------------------
PatchSet 2651 
Date: 2003/09/07 06:02:52
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
A few minor syscall cleanups

Members: 
	libc/sysdeps/linux/common/syscalls.c:1.110->1.111 

---------------------
PatchSet 2652 
Date: 2003/09/07 06:30:52
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
More FAQ updates

Members: 
	docs/uclibc.org/FAQ.html:1.14->1.15 

---------------------
PatchSet 2653 
Date: 2003/09/08 06:59:04
Author: miles
Branch: HEAD
Tag: (none) 
Log:
ansidecl.h and symcat.h copied from glibc.

Members: 
	include/ansidecl.h:INITIAL->1.1 
	include/symcat.h:INITIAL->1.1 

---------------------
PatchSet 2654 
Date: 2003/09/08 07:31:16
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
mjn3 pointed out that my brain was not in gear....

Members: 
	libc/sysdeps/linux/common/syscalls.c:1.111->1.112 

---------------------
PatchSet 2655 
Date: 2003/09/08 09:40:55
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Be certain the config system binaries are current

Members: 
	Makefile:1.214->1.215 

---------------------
PatchSet 2656 
Date: 2003/09/08 12:12:57
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fixup build problem on powerpc

Members: 
	libm/fp_private.h:1.2->1.3 

---------------------
PatchSet 2657 
Date: 2003/09/08 20:59:44
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Use __libc_fork for the uClinux fork stub

Members: 
	libc/sysdeps/linux/common/syscalls.c:1.112->1.113 

---------------------
PatchSet 2658 
Date: 2003/09/08 21:33:00
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Add back in table-less ctype funcs for those interested in minimizing
  static build sizes and not needing wchar support.
Add in a SUSv3 getopt as an option for those not needing gnu getopt.
  Again, mainly for the static linking crowd.

Members: 
	Makefile:1.215->1.216 
	extra/Configs/Config.in:1.26->1.27 
	extra/locale/Makefile:1.12->1.13 
	include/getopt.h:1.5->1.6 
	include/stdio.h:1.28->1.29 
	include/unistd.h:1.23->1.24 
	libc/misc/ctype/Makefile:1.13->1.14 
	libc/misc/ctype/ctype.c:1.16->1.17 
	libc/sysdeps/linux/common/bits/getopt.h:INITIAL->1.1 
	libc/sysdeps/linux/common/bits/uClibc_ctype.h:1.3->1.4 
	libc/unistd/Makefile:1.32->1.33 
	libc/unistd/getopt-susv3.c:INITIAL->1.1 

---------------------
PatchSet 2659 
Date: 2003/09/08 21:37:11
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Obligatory forgotten file.

Members: 
	include/ctype.h:1.17->1.18 

---------------------
PatchSet 2660 
Date: 2003/09/08 21:44:33
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Signifcantly speed out integer to string conversion for printf.
  Printf still needs some performance work done though.
Also some bufferless stdio cleanups.

Members: 
	libc/stdio/stdio.c:1.70->1.71 

---------------------
PatchSet 2661 
Date: 2003/09/08 23:08:14
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix a trivial compile problem

Members: 
	libc/sysdeps/linux/arm/bits/sigcontextinfo.h:1.2->1.3 

---------------------
PatchSet 2662 
Date: 2003/09/09 00:19:46
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix broken test

Members: 
	test/ctype/ctype.c:1.4->1.5 

---------------------
PatchSet 2663 
Date: 2003/09/09 00:27:46
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Oops!  I broke pread on mips with my last update.  This
fixes it again so it both compiles and works,
 -Erik

Members: 
	libc/sysdeps/linux/mips/pread_write.c:1.2->1.3 

---------------------
PatchSet 2664 
Date: 2003/09/09 00:43:20
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Force enable ADD_LIBGCC_FUNCTIONS on arm

Members: 
	extra/Configs/Config.arm:1.36->1.37 

---------------------
PatchSet 2665 
Date: 2003/09/09 05:15:24
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Fix wctype.c so that wchar can be enabled without ctype table-based functions.

Members: 
	extra/Configs/Config.in:1.27->1.28 
	libc/misc/wctype/wctype.c:1.5->1.6 

---------------------
PatchSet 2666 
Date: 2003/09/09 06:53:30
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add in several config system updates for locale support.

Members: 
	extra/Configs/Config.in:1.28->1.29 

---------------------
PatchSet 2667 
Date: 2003/09/09 07:11:11
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Arm needs this to compile with gcc 2.95

Members: 
	ldso/ldso/arm/ld_syscalls.h:1.5->1.6 

---------------------
PatchSet 2668 
Date: 2003/09/09 07:12:30
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Enable automagic locale data downloads

Members: 
	Makefile:1.216->1.217 
	extra/Configs/Config.in:1.29->1.30 

